org.jboss.logging

## Interface ParameterConverter<I>

- Type Parameters:
    `I` - the input type

      public interface ParameterConverter<I>

  A converter for a specific parameter type.
  Author:
    David M. Lloyd

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convert(Locale locale, I parameter)` Convert the parameter to its string or string-equivalent representation.

- - ### Method Detail

    - #### convert

          Object convert(Locale locale,
                       I parameter)

      Convert the parameter to its string or string-equivalent representation. The returned value will be passed in as a parameter to either a `MessageFormat` or `Formatter` instance, depending on the setting of `Message.format()`.
      Parameters:
        `locale` - the locale
        `parameter` - the parameter
      Returns:
        the converted value

Copyright © 2015. All rights reserved.